#ifndef HUMAN_H
#define HUMAN_H

#include "board.h"
#include "move.h"
#include "player.h"

class Human : public Player
{
public:
   explicit Human(Color c) : Player(c) {}  // Loesung - Parameter durchreichen

   Move askForMove(const Board&) override;

   std::string getName() const override { return "Mensch"; }
};

#endif
